ikiwiki hosting internals/ bugs/ makesite test fails if ikiwiki-hosting is not installed

When building ikiwiki-hosting in a container/autobuilder environment where it is not already installed, the `makesite.t` test fails because `/etc/ikiwiki-hosting/ikiwiki-hosting.conf` doesn't exist yet.

This seems to have been triggered by adding a call to `IkiWiki::Hosting::readconfig` in the `makesite` plugin.

Proposed fix (`git fetch https://git.pseudorandom.co.uk/git/smcv/ikiwiki-hosting.git build-time-makesite-test`)

--smcv

> fixed --Joey